body {
	font-size: 14px;
	font-family: "Ubuntu", sans-serif;
	/*font: 14px 'Open Sans', "Lucida Grande", Helvetica, Arial, sans-serif;*/
}

hr {
	margin: 5px 0 15px 0;
}

img.header-image {
	margin-top: -10px;
	margin-bottom: -5px;
	width: 30px;
	height: 30px;
	margin-right: 10px;
}

code, .text-monospace {
	font-family: "Source Code Pro", monospace !important;
}

strong {
	font-weight: 700 !important;
}

h6, .h6 {
	margin-bottom: 0 !important;
}

.text-small {
	font-size: 80%;
}

.popover {
	max-width: 1200px;
}

.border-dotted {
	border-bottom: 1px dotted #aaa;
}

.data-tag {
	color: white;
	border-radius: 0.25rem;
	padding: 3px 6px;
}

.data-tag-secondary {
	color: inherit;
	border: 1px solid;
	border-radius: 0.25rem;
	padding: 3px 6px;
}

.mt-tiny {
	margin-top: 3px;
}

.mb-tiny {
	margin-bottom: 3px;
}

.mb-huge {
	margin-bottom: 200px;
}

.user-message-markdown p {
	margin-bottom: 0 !important;
}



.nav-tabs .nav-link.active {
	background-color: transparent;
	border-color: #dee2e6 #dee2e6 #f8f9fa;
}

pre {
	white-space: pre-wrap;
	white-space: -moz-pre-wrap;
	white-space: -pre-wrap;
	white-space: -o-pre-wrap;
	word-wrap: break-word;
	margin-bottom: 0;
}

dd {
	margin-bottom: 1rem;
}

.word-wrap {
	word-wrap: break-word;
	word-break: break-all;
}

#subheader a {
	margin-right: 20px;
}

.table th {
	border-top: none;
}

.dropdown-item:focus, .dropdown-item:hover {
	background-color: #e3e3e3;
}

#sub-menu a:hover {
	text-decoration: underline;
}

strong {
	font-weight: 500;
}



.xindex-summary table tbody th, .xindex-summary table tbody td {
	padding: 0;
	padding-top: 0.3rem;
	padding-bottom: 0.3rem;
}

.index-summary .summary-icon {
	width: 20px;
}



.summary-table-label, .summary-table-content, .summary-split-table-label, .summary-split-table-content {
	position: relative;
	width: 100%;
	min-height: 1px;
	padding-right: 5px;
	padding-left: 15px;
	margin-bottom: 5px;
}

.tx-io-label, .tx-io-content, .tx-io-desc, .tx-io-value {
	position: relative;
	width: 100%;
	min-height: 1px;
	padding-right: 0px;
	padding-left: 0px;
	margin-bottom: 2px;
	float: left;
}

.summary-table-label, .summary-split-table-label {
	font-weight: bold;
}

.summary-table-content, .summary-split-table-content {
	margin-bottom: 20px;
}

@media (min-width: 576px) {
	.summary-table-label {
		max-width: 100%;
		text-align: left;
	}
	.summary-table-content {
		max-width: 100%;
		margin-bottom: 20px;
	}

	.summary-split-table-label {
		max-width: 100%;
		text-align: left;
	}
	.summary-split-table-content {
		max-width: 100%;
		margin-bottom: 20px;
	}

	.tx-io-label { max-width: 100%; }
	.tx-io-content { max-width: 100%; }
	.tx-io-desc { max-width: 100%; }
	.tx-io-value { max-width: 100%; }
}

@media (min-width: 768px) {
	.summary-table-label {
		max-width: 18%;
		text-align: right;
	}
	.summary-table-content {
		max-width: 82%;
		margin-bottom: 5px;
	}

	.summary-split-table-label {
		max-width: 36%;
		text-align: right;
	}
	.summary-split-table-content {
		max-width: 64%;
		margin-bottom: 5px;
	}

	.tx-io-label { max-width: 8%; }
	.tx-io-content { max-width: 92%; }
	.tx-io-desc { max-width: 65%; }
	.tx-io-value { max-width: 35%; text-align: right; }
}

@media (min-width: 992px) {
	.summary-table-label {
		max-width: 15%;
		text-align: right;
	}
	.summary-table-content {
		max-width: 85%;
		margin-bottom: 5px;
	}

	.summary-split-table-label {
		max-width: 30%;
		text-align: right;
	}
	.summary-split-table-content {
		max-width: 70%;
		margin-bottom: 5px;
	}

	.tx-io-label { max-width: 11%; }
	.tx-io-content { max-width: 89%; }
	.tx-io-desc { max-width: 60%; }
	.tx-io-value { max-width: 40%; text-align: right; }
}

@media (min-width: 1200px) {
	.container {
		max-width: 1400px;
	}

	.summary-table-label {
		max-width: 13%;
		text-align: right;
	}
	.summary-table-content {
		max-width: 87%;
		margin-bottom: 5px;
	}

	.summary-split-table-label {
		max-width: 24%;
		text-align: right;
	}
	.summary-split-table-content {
		max-width: 76%;
		margin-bottom: 5px;
	}

	.tx-io-label { max-width: 11%; }
	.tx-io-content { max-width: 89%; }
	.tx-io-desc { max-width: 69%; }
	.tx-io-value { max-width: 31%; text-align: right; }
}

@media (min-width: 1920px) {
	.container {
		max-width: 1800px;
	}

	.summary-table-label {
		max-width: 8%;
		text-align: right;
	}
	.summary-table-content {
		max-width: 92%;
		margin-bottom: 5px;
	}

	.summary-split-table-label {
		max-width: 16%;
		text-align: right;
	}
	.summary-split-table-content {
		max-width: 84%;
		margin-bottom: 5px;
	}

	.tx-io-label { max-width: 7%; }
	.tx-io-content { max-width: 93%; }
	.tx-io-desc { max-width: 70%; }
	.tx-io-value { max-width: 30%; text-align: right; }
}





footer a {
	color: #ddd;
	text-decoration: underline;
}

footer a:hover {
	color: white;
}

.table-striped>tbody>tr:nth-child(odd)>td, 
.table-striped>tbody>tr:nth-child(odd)>th {
	/*background-color: #fbfbfb;*/
}

.hljs-type, .hljs-string, .hljs-number, .hljs-selector-id, .hljs-selector-class, .hljs-quote, .hljs-template-tag, .hljs-deletion {
	color: #3aa54f;
}

.opcode {
    color:#0a6c80;
    font-weight: bold;
}
